package org.rcisoft.business.opmArticle.dao;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.opmArticle.entity.ArticleCommentVO;
import org.rcisoft.business.opmArticle.entity.LikeDTO;
import org.rcisoft.business.opmArticle.entity.OpmArticle;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;


/**
* Created with cy on 2024年3月30日 下午1:51:15.
*/

public interface OpmArticleRepository extends CyBaseMapper<OpmArticle> {


    List<OpmArticle> queryOpmArticle(@Param("entity") OpmArticle cmsBanner);

    /**
    * 分页查询 OpmArticle
    *
    */
    IPage<OpmArticle> queryOpmArticlePaged(CyPageInfo cyPageInfo, @Param("entity") OpmArticle opmArticle);


    OpmArticle selectByIdWithUrl(@Param("articleId") String articleId,@Param("loginUserId") String loginUserId);

    List<ArticleCommentVO> SelectArticleComment(Integer businessId);

    int deleteComment(OpmArticle opmArticle);

    //添加点赞记录
    int likeAdd(@Param("entity") LikeDTO likeDTO);

    //删除点赞记录
    int likeDelete(@Param("userId") String userId,@Param("articleId") Integer articleId);

    //点赞数+1
    int addLikeCount(Integer articleId);

    //点赞数-1
    int reduceLikeCount(Integer articleId);

    //评论数+1
    int addCommentCount(Integer articleId);

    //添加动态评论
    int addComment(@Param("entity") OpmArticle opmArticle);
}

